using System.Collections.Generic;
using System.Data;
using System.ServiceModel;
using System.ServiceModel.Web;
namespace RestApi
{
    /// <summary>
    /// roll mill 接口
    /// </summary>
    [ServiceContract]
    public interface IRollMillDataGet
    {

        [OperationContract]
        [WebGet(UriTemplate = "/RollMill/{name}", ResponseFormat = WebMessageFormat.Json)]
        BoxData RollMillByName(string name);

        [OperationContract]
        [WebGet(UriTemplate = "/RollMill", ResponseFormat = WebMessageFormat.Json)]
        RollMillData RollMill();

        [OperationContract]
        [WebGet(UriTemplate = "/RollMillAF", ResponseFormat = WebMessageFormat.Json)]
        AlarmInfo RollMillAF();

        [OperationContract]
        [WebGet(UriTemplate = "/RollMillEnergyTrend", ResponseFormat = WebMessageFormat.Json)]
        RollMillEnergyTrend EnergyTrend();

        [OperationContract]
        [WebGet(UriTemplate = "/CZState", ResponseFormat = WebMessageFormat.Json)]
        CZState CZStateGet();

    }
}




